Latest 0.0.3
Homepage https://github.com/daltoniam/XMLKit
License Apache License, Version 2.0
Platforms ios 5.0, osx 10.8, requires ARC
Authors

Simple little library for parsing XML/HTML entities. Uses GTMNSString for encoding and decoding XML/HTML entities on NSString.

Requirements

This framework requires at least iOS 5 above.

Install

The recommended approach for installing XMLKit is via the CocoaPods package manager, as it provides flexible dependency management and dead simple installation.

via CocoaPods

Install CocoaPods if not already available:

  [sudo] gem install cocoapods
  pod setup

Change to the directory of your Xcode project, and create or edit your Podfile and add XMLKit:

  platform :ios, '5.0'
  pod 'XMLKit'

Then run pod install to add to your project.

pod install

Open your project in Xcode from the .xcworkspace file (not the usual project file)

License

XMLKit is license under the Apache License.

Contact

Dalton Cherry

Latest podspec

{
    "name": "XMLKit",
    "version": "0.0.3",
    "summary": "Simple parsing of XML/HTML in pure Objective-C.",
    "homepage": "https://github.com/daltoniam/XMLKit",
    "license": "Apache License, Version 2.0",
    "authors": {
        "Dalton Cherry": "[email protected]"
    },
    "source": {
        "git": "https://github.com/daltoniam/XMLKit.git",
        "tag": "0.0.3"
    },
    "social_media_url": "http://twitter.com/daltoniam",
    "platforms": {
        "ios": "5.0",
        "osx": "10.8"
    },
    "source_files": "*.{h,m}",
    "requires_arc": true
}

Pin It on Pinterest

Share This